/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-22 15:31:08.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service;

import cn.com.qmth.examcloud.core.print.entity.ObjectiveQuestionStructure;
import cn.com.qmth.examcloud.core.print.entity.SubjectiveQuestionStructure;

import java.util.List;

/**
 * @author: fengdesheng
 * @since: 2018/10/22
 */
public interface QuestionStructureService {

    /**
     * 保存试卷试题结构
     *
     * @param examId
     * @param paperId
     */
    void savePaperQuestionStructure(Long examId, String paperId);

    /**
     * 获取客观题结构
     *
     * @param examId
     * @param paperId
     */
    List<ObjectiveQuestionStructure> getObjectiveQuestionStructureList(Long examId, String paperId);

    /**
     * 获取主观题结构
     *
     * @param examId
     * @param paperId
     */
    List<SubjectiveQuestionStructure> getSubjectiveQuestionStructureList(Long examId, String paperId);

}